__gnu_pbds::sample_resize_policy(3cxx)

NAME
__gnu_pbds::sample_resize_policy - A sample resize policy.

SYNOPSIS

#include <sample_resize_policy.hpp>

  Public Types

typedef std::size_t size_type
Size type.

  Public Member Functions

sample_resize_policy ()
Default constructor.
sample_range_hashing (const sample_resize_policy &other)
Copy constructor.
void swap (sample_resize_policy &other)
Swaps content.

  Protected Member Functions

size_type get_new_size (size_type size, size_type num_used_e) const
Queries what the new size should be.
bool is_resize_needed () const
Queries whether a resize is needed.
void notify_cleared ()
Notifies the table was cleared.
void notify_erase_search_collision ()
Notifies a search encountered a collision.
void notify_erase_search_end ()
Notifies a search ended.
void notify_erase_search_start ()
Notifies a search started.
void notify_erased (size_type num_e)
Notifies an element was erased.
void notify_find_search_collision ()
Notifies a search encountered a collision.
void notify_find_search_end ()
Notifies a search ended.
void notify_find_search_start ()
Notifies a search started.
void notify_insert_search_collision ()
Notifies a search encountered a collision.
void notify_insert_search_end ()
Notifies a search ended.
void notify_insert_search_start ()
Notifies a search started.
void notify_inserted (size_type num_e)
Notifies an element was inserted.
void notify_resized (size_type new_size)
Notifies the table was resized to new_size.

Detailed Description

A sample resize policy.

Member Typedef Documentation

  typedef std::size_t __gnu_pbds::sample_resize_policy::size_type

Size type.

Constructor & Destructor Documentation

  __gnu_pbds::sample_resize_policy::sample_resize_policy ()

Default constructor.

Member Function Documentation

  size_type __gnu_pbds::sample_resize_policy::get_new_size (size_type size, size_type num_used_e) const [protected]

Queries what the new size should be.

  bool __gnu_pbds::sample_resize_policy::is_resize_needed () const [inline], [protected]

Queries whether a resize is needed.

  void __gnu_pbds::sample_resize_policy::notify_cleared () [protected]

Notifies the table was cleared.

  void __gnu_pbds::sample_resize_policy::notify_erase_search_collision () [inline], [protected]

Notifies a search encountered a collision.

  void __gnu_pbds::sample_resize_policy::notify_erase_search_end () [inline], [protected]

Notifies a search ended.

  void __gnu_pbds::sample_resize_policy::notify_erase_search_start () [inline], [protected]

Notifies a search started.

  void __gnu_pbds::sample_resize_policy::notify_erased (size_type num_e) [inline], [protected]

Notifies an element was erased.

  void __gnu_pbds::sample_resize_policy::notify_find_search_collision () [inline], [protected]

Notifies a search encountered a collision.

  void __gnu_pbds::sample_resize_policy::notify_find_search_end () [inline], [protected]

Notifies a search ended.

  void __gnu_pbds::sample_resize_policy::notify_find_search_start () [inline], [protected]

Notifies a search started.

  void __gnu_pbds::sample_resize_policy::notify_insert_search_collision () [inline], [protected]

Notifies a search encountered a collision.

  void __gnu_pbds::sample_resize_policy::notify_insert_search_end () [inline], [protected]

Notifies a search ended.

  void __gnu_pbds::sample_resize_policy::notify_insert_search_start () [inline], [protected]

Notifies a search started.

  void __gnu_pbds::sample_resize_policy::notify_inserted (size_type num_e) [inline], [protected]

Notifies an element was inserted.

  void __gnu_pbds::sample_resize_policy::notify_resized (size_type new_size) [protected]

Notifies the table was resized to new_size.

  __gnu_pbds::sample_resize_policy::sample_range_hashing (const sample_resize_policy & other)

Copy constructor.

  void __gnu_pbds::sample_resize_policy::swap (sample_resize_policy & other) [inline]

Swaps content.

Author

Generated automatically by Doxygen for libstdc++ from the source code.